package com.gic.haoban.manage.web.qo.hm.data;

import java.io.Serializable;
import java.util.Date;

public class HmLinkClerkListQO implements Serializable {
    private InFields inFields;
    private Integer pageNo;
    private Integer pageSize;

    public InFields getInFields() {
        return inFields;
    }

    public void setInFields(InFields inFields) {
        this.inFields = inFields;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public static class InFields {
        private String enterpriseId;
        private Long linkId;
        private String startTime;
        private String endTime;
        private String orderByField;
        /**
         * 门店名/code
         */
        private String linkSelect1;
        /**
         * 导购code/名称
         */
        private String linkSelect2;

        public String getEnterpriseId() {
            return enterpriseId;
        }

        public InFields setEnterpriseId(String enterpriseId) {
            this.enterpriseId = enterpriseId;
            return this;
        }

        public Long getLinkId() {
            return linkId;
        }

        public InFields setLinkId(Long linkId) {
            this.linkId = linkId;
            return this;
        }

        public String getStartTime() {
            return startTime;
        }

        public InFields setStartTime(String startTime) {
            this.startTime = startTime;
            return this;
        }

        public String getEndTime() {
            return endTime;
        }

        public InFields setEndTime(String endTime) {
            this.endTime = endTime;
            return this;
        }

        public String getOrderByField() {
            return orderByField;
        }

        public InFields setOrderByField(String orderByField) {
            this.orderByField = orderByField;
            return this;
        }

        public String getLinkSelect1() {
            return linkSelect1;
        }

        public InFields setLinkSelect1(String linkSelect1) {
            this.linkSelect1 = linkSelect1;
            return this;
        }

        public String getLinkSelect2() {
            return linkSelect2;
        }

        public InFields setLinkSelect2(String linkSelect2) {
            this.linkSelect2 = linkSelect2;
            return this;
        }
    }
}
